Debian Bug report logs - #235828
libid3tag0: misspelled 'a capella' (patch included)

version graph

Package: libid3tag0; Maintainer for libid3tag0 is Mad Maintainers <pkg-mad-maintainers@lists.alioth.debian.org>; Source for libid3tag0 is src:libid3tag.

Reported by: Adam Kessel <ajkessel@debian.org>

Date: Tue, 2 Mar 2004 18:03:01 UTC

Severity: normal

Tags: fixed, patch

Found in version 0.15.0b-3

Fixed in version libid3tag/0.15.1b-1

Done: Kyle Mcmartin <kyle@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Kyle McMartin <kyle@debian.org>:
Bug#235828; Package libid3tag0. Full text and rfc822 format available.

Acknowledgement sent to Adam Kessel <ajkessel@debian.org>:
New Bug report received and forwarded. Copy sent to Kyle McMartin <kyle@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adam Kessel <ajkessel@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libid3tag0: misspelled 'a capella' (patch included)
Date: Tue, 2 Mar 2004 12:44:52 -0500
[Message part 1 (text/plain, inline)]
Package: libid3tag0
Version: 0.15.0b-3
Severity: normal
Tags: patch

Although both 'a cappella' and 'a capella' are permissible spellings,
all of the software that I tested (excepted libid3tag) returns genre 123
as "A capella".  libid3tag returns "A cappella".  This creates a problem
for, e.g., rhythmbox, when ogg and mp3 files are mixed together--two
separate genres are created where there should really be only one.

For example, if you use easytag to tag a whole folder of A capella music
genre "A capella," and then open up an application that uses libid3tag0,
what you thought was one genre is now two.

The attached tiny patch fixes only the "a capella" string but leaves the
constant name as "a cappella"; perhaps it would preferable to change the
constant name as well as the string contents to "a capella." 

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.3-joehill
Locale: LANG=en_US, LC_CTYPE=en_US

Versions of packages libid3tag0 depends on:
hi  libc6                       2.3.2.ds1-11 GNU C Library: Shared libraries an
ii  zlib1g                      1:1.2.1-4    compression library - runtime

-- no debconf information
[patch (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#235828; Package libid3tag0. Full text and rfc822 format available.

Acknowledgement sent to Kyle McMartin <kyle@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 235828@bugs.debian.org (full text, mbox):

From: Kyle McMartin <kyle@debian.org>
To: Adam Kessel <ajkessel@debian.org>, 235828@bugs.debian.org
Subject: Re: Bug#235828: libid3tag0: misspelled 'a capella' (patch included)
Date: Sun, 14 Mar 2004 12:27:33 -0500
On Tue, Mar 02, 2004 at 12:44:52PM -0500, Adam Kessel wrote:
> The attached tiny patch fixes only the "a capella" string but leaves the
> constant name as "a cappella"; perhaps it would preferable to change the
> constant name as well as the string contents to "a capella." 
> 
Care to NMU?

--
Kyle McMartin



Information forwarded to debian-bugs-dist@lists.debian.org, Kyle McMartin <kyle@debian.org>:
Bug#235828; Package libid3tag0. Full text and rfc822 format available.

Acknowledgement sent to Adam Kessel <ajkessel@debian.org>:
Extra info received and forwarded to list. Copy sent to Kyle McMartin <kyle@debian.org>. Full text and rfc822 format available.

Message #15 received at 235828@bugs.debian.org (full text, mbox):

From: Adam Kessel <ajkessel@debian.org>
To: Kyle McMartin <kyle@debian.org>
Cc: 235828@bugs.debian.org
Subject: Re: Bug#235828: libid3tag0: misspelled 'a capella' (patch included)
Date: Sun, 14 Mar 2004 14:11:48 -0500
[Message part 1 (text/plain, inline)]
On Sun, Mar 14, 2004 at 12:27:33PM -0500, Kyle McMartin wrote:
> On Tue, Mar 02, 2004 at 12:44:52PM -0500, Adam Kessel wrote:
> > The attached tiny patch fixes only the "a capella" string but leaves the
> > constant name as "a cappella"; perhaps it would preferable to change the
> > constant name as well as the string contents to "a capella." 
> > 
> Care to NMU?

Sure. This is my first NMU, but I believe I did it properly. It's in
7-day delayed now.
-- 
Adam Kessel
http://adam.rosi-kessel.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Kyle McMartin <kyle@debian.org>:
Bug#235828; Package libid3tag0. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Kyle McMartin <kyle@debian.org>. Full text and rfc822 format available.

Message #20 received at 235828@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Adam Kessel <ajkessel@debian.org>, 235828@bugs.debian.org
Subject: Re: Bug#235828: libid3tag0: misspelled 'a capella' (patch included)
Date: Sun, 14 Mar 2004 20:00:18 +0000
* Adam Kessel <ajkessel@debian.org> [2004-03-14 14:11]:
> > > The attached tiny patch fixes only the "a capella" string but leaves the
> > > constant name as "a cappella"; perhaps it would preferable to change the
> > > constant name as well as the string contents to "a capella." 
> > > 
> > Care to NMU?
> 
> Sure. This is my first NMU, but I believe I did it properly. It's in
> 7-day delayed now.

If the maintainer ask you for the NMU, ou can upload directly to
incoming rather then DELAYED.
-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org, Kyle McMartin <kyle@debian.org>:
Bug#235828; Package libid3tag0. Full text and rfc822 format available.

Acknowledgement sent to Adam Kessel <ajkessel@debian.org>:
Extra info received and forwarded to list. Copy sent to Kyle McMartin <kyle@debian.org>. Full text and rfc822 format available.

Message #25 received at 235828@bugs.debian.org (full text, mbox):

From: Adam Kessel <ajkessel@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 235828@bugs.debian.org
Subject: Re: Bug#235828: libid3tag0: misspelled 'a capella' (patch included)
Date: Sun, 14 Mar 2004 15:38:49 -0500
[Message part 1 (text/plain, inline)]
On Sun, Mar 14, 2004 at 08:00:18PM +0000, Martin Michlmayr wrote:
> * Adam Kessel <ajkessel@debian.org> [2004-03-14 14:11]:
> > > > The attached tiny patch fixes only the "a capella" string but leaves the
> > > > constant name as "a cappella"; perhaps it would preferable to change the
> > > > constant name as well as the string contents to "a capella." 
> > > Care to NMU?
> > Sure. This is my first NMU, but I believe I did it properly. It's in
> > 7-day delayed now.
> If the maintainer ask you for the NMU, ou can upload directly to
> incoming rather then DELAYED.

Okay, thanks. Following your advice, I've deleted the package from
tfheen's delayed queue and uploaded directly to incoming.  
-- 
Adam Kessel
http://adam.rosi-kessel.org
[Message part 2 (application/pgp-signature, inline)]

Tags added: fixed Request was from Adam Kessel <ajkessel@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#235828; Package libid3tag0. Full text and rfc822 format available.

Acknowledgement sent to Kyle McMartin <kyle@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #32 received at 235828@bugs.debian.org (full text, mbox):

From: Kyle McMartin <kyle@debian.org>
To: Adam Kessel <ajkessel@debian.org>, 235828@bugs.debian.org
Subject: Re: Bug#235828: libid3tag0: misspelled 'a capella' (patch included)
Date: Sun, 14 Mar 2004 16:44:57 -0500
On Sun, Mar 14, 2004 at 03:38:49PM -0500, Adam Kessel wrote:
> Okay, thanks. Following your advice, I've deleted the package from
> tfheen's delayed queue and uploaded directly to incoming.  

Wicked, thanks.

[Things are a little hectic this week]

Regards,
-- 
Kyle McMartin



Reply sent to Kyle Mcmartin <kyle@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Adam Kessel <ajkessel@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #37 received at 235828-close@bugs.debian.org (full text, mbox):

From: Kyle Mcmartin <kyle@debian.org>
To: 235828-close@bugs.debian.org
Subject: Bug#235828: fixed in libid3tag 0.15.1b-1
Date: Sat, 05 Jun 2004 19:32:07 -0400
Source: libid3tag
Source-Version: 0.15.1b-1

We believe that the bug you reported is fixed in the latest version of
libid3tag, which is due to be installed in the Debian FTP archive:

libid3tag0-dev_0.15.1b-1_i386.deb
  to pool/main/libi/libid3tag/libid3tag0-dev_0.15.1b-1_i386.deb
libid3tag0_0.15.1b-1_i386.deb
  to pool/main/libi/libid3tag/libid3tag0_0.15.1b-1_i386.deb
libid3tag_0.15.1b-1.diff.gz
  to pool/main/libi/libid3tag/libid3tag_0.15.1b-1.diff.gz
libid3tag_0.15.1b-1.dsc
  to pool/main/libi/libid3tag/libid3tag_0.15.1b-1.dsc
libid3tag_0.15.1b.orig.tar.gz
  to pool/main/libi/libid3tag/libid3tag_0.15.1b.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 235828@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kyle Mcmartin <kyle@debian.org> (supplier of updated libid3tag package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 5 Jun 2004 19:10:19 -0400
Source: libid3tag
Binary: libid3tag0-dev libid3tag0
Architecture: source i386
Version: 0.15.1b-1
Distribution: unstable
Urgency: low
Maintainer: Kyle McMartin <kyle@debian.org>
Changed-By: Kyle Mcmartin <kyle@debian.org>
Description: 
 libid3tag0 - ID3 tag reading library from the MAD project
 libid3tag0-dev - ID3 tag reading library from the MAD project
Closes: 235828
Changes: 
 libid3tag (0.15.1b-1) unstable; urgency=low
 .
   * New upstream version.
   * Included misspelled 'a capella' patch from previous NMU.
     (closes: #235828)
Files: 
 b1f44dc55ad6a72aa6dc8b07b7cf5c43 607 sound optional libid3tag_0.15.1b-1.dsc
 e5808ad997ba32c498803822078748c3 338143 sound optional libid3tag_0.15.1b.orig.tar.gz
 12298b078be5694a5d8e42bb6fb767fb 3547 sound optional libid3tag_0.15.1b-1.diff.gz
 82f36742f8e0bff6ef2b50b014823cd9 33986 libs optional libid3tag0_0.15.1b-1_i386.deb
 2b62653da7b2105c5d297bdecfc6fe94 34622 libdevel optional libid3tag0-dev_0.15.1b-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAwlS+freS3xkfzYoRAl64AKCoZ7uAI9T74HAzl7xuuoaiyJFXrQCdGxG2
P9IIsXC/+kJeetxCK4No6e0=
=kCGq
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 05:11:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.